# Processing Behaviour

You can customise the way that Upzelo works for your platform using the [Settings](https://upzelo.com/app/settings/upzelo) area.

## Automatic Processing

By default, this option is turned on. This means that when a customer completes a flow, Upzelo will automatically process the output of the customer flow.

For example, if a customer accepts an offer of 10% off for a month, Upzelo will apply that coupon to their subscription via our payment provider integrations.

However, this option can be turned off. By turning this option off, Upzelo will create [Requests](https://upzelo.com/app/requests) for you to manually action.

## Cancellation / Save Behaviour

The default behaviour is the only action cancellations or save events on the subscription ID that is provided.

For example: configuring Upzelo with a `subscriptionId` means that only that subscription will be affected.

However, this functionality can be changed to suit your needs. There is an alternative mode in which we will action all of the subscriptions that belong to a `customerId` or `addressId`

{% hint style="info" %}
`addressId` is only available for Recharge customers.
{% endhint %}

For example: configuring Upzelo with a `customerId` and `subscriptionId`, Upzelo will use the `subscriptionId` to determine which flow to present to the customer, but will action the outcome of the flow on ALL subscriptions that belong to that `customerId`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.upzelo.com/developer-guide/processing-behaviour.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
